Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.bruteforce
Class BruteForceEntityWalker

    java.lang.Object
      org.optaplanner.core.impl.bruteforce.BruteForceEntityWalker

All Implemented Interfaces:
  EventListener, BruteForceSolverPhaseLifecycleListener

    public class BruteForceEntityWalker

extends Object
implements BruteForceSolverPhaseLifecycleListener

Constructor Summary
`BruteForceEntityWalker(SolutionDescriptor solutionDescriptor)`

Method Summary
`boolean` | `hasWalk()`
`void` | `phaseEnded(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)`
`void` | `phaseStarted(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)`
`void` | `stepEnded(BruteForceStepScope bruteForceStepScope)`
`void` | `walk()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BruteForceEntityWalker

    public BruteForceEntityWalker(SolutionDescriptor solutionDescriptor)

Method Detail

### phaseStarted

    public void phaseStarted(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `BruteForceSolverPhaseLifecycleListener`

### hasWalk

    public boolean hasWalk()

### walk

    public void walk()

### stepEnded

    public void stepEnded(BruteForceStepScope bruteForceStepScope)

  Specified by:
    `stepEnded` in interface `BruteForceSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(BruteForceSolverPhaseScope bruteForceSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `BruteForceSolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.